CourseLit logoCourseLit Docs
Api reference

List product payment plans

GET
/api/products/{productId}/payment-plans

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products/string/payment-plans"
{
  "data": [
    {
      "planId": "string",
      "name": "string",
      "type": "free",
      "entityId": "string",
      "entityType": "string",
      "oneTimeAmount": 0,
      "emiAmount": 0,
      "emiTotalInstallments": 0,
      "subscriptionMonthlyAmount": 0,
      "subscriptionYearlyAmount": 0,
      "description": "string",
      "isDefault": true
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}